PlugIn (Struts Core 1.3.10 API)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.struts.action
Interface PlugIn

All Known Implementing Classes:
  ValidatorPlugIn

    public interface PlugIn

A PlugIn is a configuration wrapper for a module-specific resource or service that needs to be notified about application startup and application shutdown events (corresponding to when the container calls `init` and `destroy` on the corresponding `ActionServlet` instance). `PlugIn` objects can be configured in the `struts-config.xml` file, without the need to subclass `ActionServlet` simply to perform application lifecycle activities.

Implementations of this interface must supply a zero-argument constructor for use by `ActionServlet`. Configuration can be accomplished by providing standard JavaBeans property setter methods, which will all have been called before the `init()` method is invoked.

This interface can be applied to any class, including an Action subclass.

Since:
  Struts 1.1
Version:
  $Rev: 471754 $ $Date: 2005-05-14 01:09:32 -0400 (Sat, 14 May 2005) $

Method Summary
`void` | `destroy()` Receive notification that our owning module is being shut down.
`void` | `init(ActionServlet servlet, ModuleConfig config)` Receive notification that the specified module is being started up.

Method Detail

### destroy

    void destroy()

  Receive notification that our owning module is being shut down.

### init

    void init(ActionServlet servlet,
              ModuleConfig config)
              throws ServletException

  Receive notification that the specified module is being started up.

  Parameters:
    `servlet` - ActionServlet that is managing all the modules in this web application
    `config` - ModuleConfig for the module with which this plug-in is associated
  Throws:
    `ServletException` - if this `PlugIn` cannot be successfully initialized

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2008 Apache Software Foundation. All Rights Reserved.